PDA

View Full Version : PowerMac G5 officially enters Apple's obsolete list




mabaker
Sep 25, 2011, 07:26 AM
http://support.apple.com/kb/HT1752

Rather sad day but all the more reason to be happy as long as our computers keep running. :)



AQUADock
Sep 25, 2011, 09:12 AM
Apple always makes things obsolete before they really should be. :rolleyes:

Nameci
Sep 25, 2011, 10:42 AM
No worries for me, I still enjoy using it.

Marcush1286
Sep 25, 2011, 12:19 PM
You said it! Happily running a G5 Quad here along side my Mac Pro 6-core. Also use a PowerBook G4 1.67 DLSD and its running nicely. Apple's stuff just lasts lets put that to rest first.

Just be sure to get rid of the Diginotar certificate as it presented a few weeks back a security risk and Apple simply didn't provide a fix for those who were running Leopard.



http://support.apple.com/kb/HT1752

Rather sad day but all the more reason to be happy as long as our computers keep running. :)

bizzle
Sep 25, 2011, 01:27 PM
Apple always makes things obsolete before they really should be. :rolleyes:

Sorry, but 7 years after a product is discontinued is pretty obsolete. They aren't saying it in a sense that it's no longer useful but as a way to mark that it's no longer supported. They can't hang on to service parts for machines forever.

reddrag0n
Sep 25, 2011, 01:56 PM
Well, if mine breaks down, i go to some other stores for parts and pieces.

eBay, WeLoveMacs, iFixit, PowerbookMedic, and many others that i can't seem to think of right off hand.

mrsir2009
Sep 26, 2011, 02:07 AM
What, it wasn't up till now?

mabaker
Sep 26, 2011, 04:51 AM
What, it wasn't up till now?

Yeah, you wouldn't say that since the software support ceased after Leopard was released. :( In other news Microsoft just recently posted an update to Office 2004. Talk about irony. :rolleyes:

Last PowerMac was sold in 2006 so not that long ago actually.

mrsir2009
Sep 26, 2011, 12:33 PM
The reason MS still supports old software is that Windows XP makes of most of their desktop OS share. However most of Apple's desktop OS share is Snow Leopard and Lion.

VanneDC
Sep 26, 2011, 06:18 PM
Love the G5 pm, may it run for centuries more :D

Nameci
Sep 26, 2011, 07:36 PM
In my personal and work use, Leopard is still capable of doing all of it. So there is no need for me to upgrade yet. I wish it could last me for another 10 years.

The more elaborate the operating system gets now the more it demands of CPU power and RAM which should not be the case. It is more of eye candy to me than functionality that could help me do my job done faster.

MacHamster68
Sep 27, 2011, 07:26 PM
http://support.apple.com/kb/HT1752

Rather sad day but all the more reason to be happy as long as our computers keep running. :)

i wonder where Apple officials have learned to count ? the PowerMac G5 should not be in that list
"obsolete products are those that were discontinued more than seven years ago"
and to my knowledge of mathematics 2011 -2006 is not 7 ! ok maybe they count different in cupertino

PowerMac G5's got sold until 2006 as my one a 2.3 dual core was delivered to its original owners,a now bankrupt company in beginning of 2006 by Apple ! so technically the iMac intel core duos delivered in the same year should be on that list too as they officially cant run LION

my G5 works really well
and my eMac's are on that list too ,they too had been sold in 2006 and still work perfect under Tiger and are everything but obsolete .
sorry Apple but with that attitude you dont sell me any products , declaring 5 year old products as obsolete is ridiculous

btw its true i still receive updates for Microsoft office 2004 which runs on my iMac G3's Microsoft even offers a patch to open files made with office 2008 (ppsx docx and such)
and as a Windows box i have a dell dimension c521 (amd processor) and hey its the same age as my PowerMac G5 and is fully supported by windows 7

mabaker
Sep 27, 2011, 07:59 PM
I haven't even considered the point about the iMacs and MBPs with Core Duos! :eek: Apple sure moves fast and considering the FIRST generation iPad will have some functionality cut with iOS 5 (gestures), it's looking rather grim. There is still hope in Cook to turn things around, though.

adcx64
Sep 27, 2011, 08:02 PM
I haven't even considered the point about the iMacs and MBPs with Core Duos! :eek: Apple sure moves fast and considering the FIRST generation iPad will have some functionality cut with iOS 5 (gestures), it's looking rather grim. There is still hope in Cook to turn things around, though.

The original iPad doesn't have the faster hardware for the gestures. This is not Apples fault, Apple does not control the advancement of technology.

srf4real
Sep 27, 2011, 08:14 PM
I just did a fresh install of OS 10.5.8 on my G5 powermac. Never had any issues with it other than having to replace a power supply after taking it on a rough road trip one time.. I have donated it to my office for the other IT guys to gawk over and hopefully get a little more comfortable with so I don't always have to be the 'mac guy'...:rolleyes:

By the way, after a fresh install on a new 1TB Seagate, I found this website (http://oldversion.com/macintosh/index.php) very handy for getting back all the third party stuff I'd added through the years- most of these software developers have released new versions for Lion that also do not support ppc cpu's. Sad day indeed, the computer will probably still work fine in 2025.

MacHamster68
Sep 27, 2011, 10:20 PM
yes technology is advancing fast, no problem , but here is the result of making hardware obsolete
http://www.youtube.com/watch?v=gNPWkcq4KfQ
ok didn't spot Mac's among the dumped electrical goods , but thats i guess more due to us here who still buy PPC Mac's , because we love them

but generally speaking it would be better if Apple and others would not make those computers obsolete , instead keeping them up to date like the developers of TenFourFox . i mean Leopard supported both Platforms , but Apple just greedy wants US to buy New Mac's ideally every Year , fair enough Apple is a Profit based Company ., but where was the Problem in offering for example a PPC edition of Snow Leopard , less features and our PPC Mac's would still be able to run Lion with less features enabled , and i am certain we would have payed for the disc's/download too
and the ones who want the lateest and greatest fair enough too let them who need desperately a core i7 processor to send emails and surf the web have it

i mean Microsoft does make certain restrictions in regard of minimum spec too for windows 7 a 1 ghz processor , no word about core 2 duo or Pentium 3 or AMD's 's counterparts , they offer for example a starter edition often used in netbooks and my eMac's can keep up with those Atom N270 and intel GMA950 based netbooks all day long and will run circles around a pentium 3 based pc

once something is deliberately made obsolete , it will one day end up there in Africa if not kept by some enthusiasts and collectors

mabaker
Sep 28, 2011, 05:12 AM
The original iPad doesn't have the faster hardware for the gestures. This is not Apples fault, Apple does not control the advancement of technology.

Yet the gestures work flawlessly on a jailbroaken iPad 1st gen. I am planning to jailbreak it to get the most off iOs 5's functionality.

I am not holding my breath about Cook turning things around but hope always dies last.

bizzle
Sep 28, 2011, 05:13 AM
i wonder where Apple officials have learned to count ? the PowerMac G5 should not be in that list
"obsolete products are those that were discontinued more than seven years ago"
and to my knowledge of mathematics 2011 -2006 is not 7 ! ok maybe they count different in cupertino

PowerMac G5's got sold until 2006 as my one a 2.3 dual core was delivered to its original owners,a now bankrupt company in beginning of 2006 by Apple ! so technically the iMac intel core duos delivered in the same year should be on that list too as they officially cant run LION

my G5 works really well
and my eMac's are on that list too ,they too had been sold in 2006 and still work perfect under Tiger and are everything but obsolete .
sorry Apple but with that attitude you dont sell me any products , declaring 5 year old products as obsolete is ridiculous

btw its true i still receive updates for Microsoft office 2004 which runs on my iMac G3's Microsoft even offers a patch to open files made with office 2008 (ppsx docx and such)
and as a Windows box i have a dell dimension c521 (amd processor) and hey its the same age as my PowerMac G5 and is fully supported by windows 7

That's the first generation PowerMac G5, from 2003. Their math isn't wrong.

gyorpb
Sep 28, 2011, 06:05 AM
Apple always makes things obsolete before they really should be. :rolleyes:What, it wasn't up till now?That's a matter of opinion. If you own one, and it no longer adequately serves its purpose, it is; if it still performs sufficiently, it isn't. Obsolescence isn't an absolute.i wonder where Apple officials have learned to count ? the PowerMac G5 should not be in that list
"obsolete products are those that were discontinued more than seven years ago"
and to my knowledge of mathematics 2011 -2006 is not 7 ! ok maybe they count different in cupertino

PowerMac G5's got sold until 2006 as my one a 2.3 dual core was delivered to its original owners,a now bankrupt company in beginning of 2006 by Apple ! so technically the iMac intel core duos delivered in the same year should be on that list too as they officially cant run LIONThe issue is not whether Apple "officials" can count, but whether you can read.

Only the first model G5 is listed as obsolete; the others are now "vintage" status. Ability to run anything has nothing to do with it: it is purely a matter of age. (And that matter is in fact a legal issue: a requirement to stock and supply service parts for a minimum to seven years after discontinuation of a product.)my G5 works really well
and my eMac's are on that list too ,they too had been sold in 2006 and still work perfect under Tiger and are everything but obsolete .
sorry Apple but with that attitude you dont sell me any products , declaring 5 year old products as obsolete is ridiculousSee above, obsolescence isn't an absolute, it depends on use. In the case of the support document, it is merely a classification. Apple's declaring products vintage or obsolete has no bearing on your specific product's performance in your setting.

And once again you fail to properly read the document: five year old products are not being declared obsolete.once something is deliberately made obsolete , it will one day end up there in Africa if not kept by some enthusiasts and collectorsThat's more recycling issue. As long as it's cheaper to heap discarded electronics on poorer countries, this will continue.

.tsooJ

MacHamster68
Sep 28, 2011, 09:03 AM
sorry in the list i only read PowerMac G5 and that includes all of them as it doesn't say PCI or PCIx or PCIe
never mind i keep mine anyway no matter how often Apple tells me its obsolete :D

and i am aware of that its a recycling issue , to me thats a very important issue , as PowerMac G5's now lose value rapidly , so soon there is not enough profit to be made on ebay and people will just dump them

ok good for me as i plan to build my own cluster supercomputer ..like the one at Virginia Tech only smaller

if one 2.3 ghz dual core cant keepup with modern Mac's a cluster of 11 can

ecschwarz
Oct 2, 2011, 05:00 PM
Yet the gestures work flawlessly on a jailbroaken iPad 1st gen. I am planning to jailbreak it to get the most off iOs 5's functionality.

I am not holding my breath about Cook turning things around but hope always dies last.

I also can report that they're working flawlessly on an un-jailbroken first-generation iPad (enabled via Xcode) - I suspect Apple may rethink their position on original iPad gestures, since they're very handy and highly-addictive.

philipt42
Oct 8, 2011, 08:19 PM
Speaking as someone who loves his Dual G5, I can say that it deserves to be obsolete. It's still my main (read: only) computer, but everyday tasks are becoming very slow.

mabaker
Oct 9, 2011, 02:13 AM
Speaking as someone who loves his Dual G5, I can say that it deserves to be obsolete. It's still my main (read: only) computer, but everyday tasks are becoming very slow.

I see your sig. :) It's a fast machine but the low RAM will make it unbearably slow. Even by today's standards 512 MB would absolutely kill Lion on ANY machine. Leopard needs at least 1 GB to run properly and really rally fast.

Nameci
Oct 9, 2011, 10:27 AM
I see your sig. :) It's a fast machine but the low RAM will make it unbearably slow. Even by today's standards 512 MB would absolutely kill Lion on ANY machine. Leopard needs at least 1 GB to run properly and really rally fast.

Definitely more than agree. I have the same machine as well. I have increased RAM size up to 16GB max more than necessary to run Leopard. The experience is as smooth as butter. No page outs whatsoever. On 512MB and Leopard, what slows you down is pageouts.

srf4real
Oct 9, 2011, 07:25 PM
Ya holy cow! Put at least 8GB of ram in that sucker and you'll feel like you got a new mac for at least six more months. Rosetta apps are getting harder and harder to find, tho. I had to do a fresh install of Leopard on mine after selling it to my office. It cost me $240 for the disc set with iLife '09 and I only found 3 nib copies on the whole interwebs.:eek:

MacHamster68
Oct 10, 2011, 03:52 PM
Speaking as someone who loves his Dual G5, I can say that it deserves to be obsolete. It's still my main (read: only) computer, but everyday tasks are becoming very slow.

512 is the bare minimum to install Leopard , no talk about using it i just said to install it same goes essentially for Tiger , Tiger will actually do better with only 512mb ,
with 512 i would not descripe it as running , i would decsripe it more like the movement of tectonic plates ;)
But no need really for 8gb and 16 gb is a bit over the top , ok mine is filled up too with 16gb , but only because i got the ram for next to nothing (liquidation stock), but give the bugger 2 Gb more and you will see a big improvement in performance and your love for the PowerMac will become eternal

Nameci
Oct 10, 2011, 08:30 PM
That G5 will be happy if you put 4GB in.